/* ********************************************************************************
 *  keyboard module for use with AVR series microcontrollers from Atmel           *
 ******************************************************************************** */
 
/*
    Copyright (C) 2005  Erik Hggstrm <xpress@xpress.mine.nu>

    Copyright notice:

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _KEYBOARD_H_
#define _KEYBOARD_H_ 1

/* ********************************************************************************
 *  FLAGS TO FUNCTIONS                                                            *
 ******************************************************************************** */
 
 // uint16_t kb_getStatus(void);
 #define KB_STATUS_SHIFT			0x0001
 #define KB_STATUS_CTRL				0x0002
 #define KB_STATUS_ALT				0x0004
 #define KB_STATUS_ALTGR			0x0008
 #define KB_STATUS_NUMLOCK		0x0010
 #define KB_STATUS_SCROLLOCK	0x0020
 #define KB_STATUS_SCROLLLOCK	0x0020
 #define KB_STATUS_CAPSLOCK		0x0040
 #define KB_STATUS_LED_CAPS		0x0080
 #define KB_STATUS_LED_NUM		0x0100
 #define KB_STATUS_LED_SCROLL	0x0200
 
 
/* ********************************************************************************
 *  FUNCTIONS                                                                     *
 ******************************************************************************** */
 
void kb_init(void);
uint16_t kb_get(void);
uint16_t kb_getStatus(void);
uint8_t kb_decode(uint16_t code,uint8_t shift);

#endif

