/* ********************************************************************************
 *  keyboard module for use with AVR series microcontrollers from Atmel           *
 ******************************************************************************** */
 
/*
    Copyright (C) 2005  Erik Hggstrm <xpress@xpress.mine.nu>

    Copyright notice:

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Due to lack of time, this keymap isn't complete or correct. */
/* If you make use of this code and complete this keymap, */
/* please send me a copy. */

/* Keymap for English keyboard layout */
/* to work with a HD44780 compatible display */

#include <avr/pgmspace.h>

prog_uint8_t _kb_keymap_unshifted[] = {
	//0x0d,	0x09,		//Tab, should tab be handled as ascii or not?
	0x0e,	0x60,
	0x15,	'q',
	0x16,	'1',
	0x1A,	'z',
	0x1B,	's',
	0x1C,	'a',
	0x1D,	'w',
	0x1E,	'2',
	0x21,	'c',
	0x22,	'x',
	0x23,	'd',
	0x24,	'e',
	0x25,	'4',
	0x26,	'3',
	0x29,	' ',
	0x2A,	'v',
	0x2B,	'f',
	0x2C,	't',
	0x2D,	'r',
	0x2E,	'5',
	0x31,	'n',
	0x32,	'b',
	0x33,	'h',
	0x34,	'g',
	0x35,	'y',
	0x36,	'6',
	0x3A,	'm',
	0x3B,	'j',
	0x3C,	'u',
	0x3D,	'7',
	0x3E,	'8',
	0x41,	',',
	0x42,	'k',
	0x43,	'i',
	0x44,	'o',
	0x45,	'0',
	0x46,	'9',
	0x49,	'.',
	0x4A,	'/',
	0x4B,	'l',
	0x4C,	';',
	0x4D,	'p',
	0x4E,	'-',
	0x52,	'\'',
	0x54,	'[',
	0x55,	'=',
	//0x5A,	0x13,	//Carriage Return, ascii or not?
	0x5B,	']',
	0x5D,	'#',
	//0x61,	'\\',	// Backslash does'n exist in the HD44780
	//0x66, '', // Backspace, ascii or not?
	0x79,	'+',
	0x7B,	'-',
	0x7C,	'*',

	0,	0				// END OF LIST, DON'T TOUCH
};


prog_uint8_t _kb_keymap_shifted[] = {
	//0x0d,	0x09,		//Tab, should tab be handled as ascii or not?
	0x0e,	0x60,
	0x15,	'Q',
	0x16,	'!',
	0x1A,	'Z',
	0x1B,	'S',
	0x1C,	'A',
	0x1D,	'W',
	0x1E,	'\"',
	0x21,	'C',
	0x22,	'X',
	0x23,	'D',
	0x24,	'E',
	0x25,	'$',
	0x26,	'',
	0x29,	' ',
	0x2A,	'V',
	0x2B,	'F',
	0x2C,	'T',
	0x2D,	'R',
	0x2E,	'%',
	0x31,	'N',
	0x32,	'B',
	0x33,	'H',
	0x34,	'G',
	0x35,	'Y',
	0x36,	'^',
	0x3A,	'M',
	0x3B,	'J',
	0x3C,	'U',
	0x3D,	'&',
	0x3E,	'*',
	0x41,	'<',
	0x42,	'K',
	0x43,	'I',
	0x44,	'O',
	0x45,	')',
	0x46,	'(',
	0x49,	'>',
	0x4A,	'?',
	0x4B,	'L',
	0x4C,	':',
	0x4D,	'P',
	0x4E,	'_',
	0x52,	'|',
	0x54,	'{',
	0x55,	'+',
	//0x5A,	0x13,	//Carriage Return, ascii or not?
	0x5B,	'}',
	0x5D,	'~',
	//0x61,	'\\',	// Backslash does'n exist in the HD44780
	//0x66, '', // Backspace, ascii or not?
	0x79,	'+',
	0x7B,	'-',
	0x7C,	'*',

	0,	0				// END OF LIST, DON'T TOUCH
};

