/* ********************************************************************************
 *  keyboard module for use with AVR series microcontrollers from Atmel           *
 ******************************************************************************** */
 
/*
    Copyright (C) 2005  Erik Hggstrm <xpress@xpress.mine.nu>

    Copyright notice:

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Due to lack of time I haven't set these defines yet. */
/* If you make use of this code and set these defines, */
/* please send me a copy. */

/* KC defines for English keyboard layout */

// Letters
#define KB_KC_A						0x1C
#define KB_KC_B						0x32
#define KB_KC_C						0x21
#define KB_KC_D						0x23
#define KB_KC_E						0x24
#define KB_KC_F						0x2B
#define KB_KC_G						0x34
#define KB_KC_H						0x33
#define KB_KC_I						0x43
#define KB_KC_J						0x3B
#define KB_KC_K						0x42
#define KB_KC_L						0x4B
#define KB_KC_M						0x3A
#define KB_KC_N						0x31
#define KB_KC_O						0x44
#define KB_KC_P						0x4D
#define KB_KC_Q						0x15
#define KB_KC_R						0x2D
#define KB_KC_S						0x1B
#define KB_KC_T						0x2C
#define KB_KC_U						0x3C
#define KB_KC_V						0x2A
#define KB_KC_W						0x1D
#define KB_KC_X						0x22
#define KB_KC_Y						0x35
#define KB_KC_Z						0x1A
// Numbers
#define KB_KC_0						0x45
#define KB_KC_1						0x16
#define KB_KC_2						0x1E
#define KB_KC_3						0x26
#define KB_KC_4						0x25
#define KB_KC_5						0x2E
#define KB_KC_6						0x36
#define KB_KC_7						0x3D
#define KB_KC_8						0x3E
#define KB_KC_9						0x46
// Other
#define KB_KC_BKSP				0x66
#define KB_KC_ESC					0x76
#define KB_KC_TAB					0x0D
#define KB_KC_SPACE				0x29
#define KB_KC_ENTER				0x5A

//#define KB_KC_'						0x52
#define KB_KC_MINUS				0x4E
//#define KB_KC_,						0x41
#define KB_KC_DOT					0x49
#define KB_KC_SLASH				0x4A
//#define KB_KC_;						0x4C
//#define KB_KC_[						0x54
#define KB_KC_BSLASH			0x5D
//#define KB_KC_]						0x5B
//#define KB_KC_`						0x0E
//#define KB_KC_=						0x55

// Function keys
#define KB_KC_F1					0x05
#define KB_KC_F2					0x06
#define KB_KC_F3					0x04
#define KB_KC_F4					0x0C
#define KB_KC_F5					0x03
#define KB_KC_F6					0x0B
#define KB_KC_F7					0x83
#define KB_KC_F8					0x0A
#define KB_KC_F9					0x01
#define KB_KC_F10					0x09
#define KB_KC_F11					0x78
#define KB_KC_F12					0x07
// PRTSCR and PAUSE
#define KB_KC_PRTSCR			0xE012
#define KB_KC_PAUSE				0xE114
// Above arrows
#define KB_KC_HOME				0xE06C
#define KB_KC_END					0xE069
#define KB_KC_INS					0xE070
#define KB_KC_DEL					0xE071
#define KB_KC_PGUP				0xE07D
#define KB_KC_PGDOWN			0xE07A
// Arrows
#define KB_KC_UP					0xE075
#define KB_KC_DOWN				0xE072
#define KB_KC_LEFT				0xE06B
#define KB_KC_RIGHT				0xE074
// ALT, CTRL, SHIFT
#define KB_KC_LSHIFT			0x12
#define KB_KC_RSHIFT			0x59
#define KB_KC_CAPSLOCK		0x58
#define KB_KC_LALT				0x11
#define KB_KC_RALT				0xE011
#define KB_KC_LCTRL				0x14
#define KB_KC_RCTRL				0xE014
// Keypad
#define KB_KC_KP_MINUS		0x7B
#define KB_KC_KP_MULT			0x7C
#define KB_KC_KP_DOT			0x71
#define KB_KC_KP_DIV			0xE04A
#define KB_KC_KP_PLUS			0x79
#define KB_KC_KP_0				0x70
#define KB_KC_KP_1				0x69
#define KB_KC_KP_2				0x72
#define KB_KC_KP_3				0x7A
#define KB_KC_KP_4				0x6B
#define KB_KC_KP_5				0x73
#define KB_KC_KP_6				0x74
#define KB_KC_KP_7				0x6C
#define KB_KC_KP_8				0x75
#define KB_KC_KP_9				0x7D
#define KB_KC_KP_ENTER		0xE05A

#define KB_KC_POWER				0xE037
#define KB_KC_SLEEP				0xE03F
#define KB_KC_WAKE				0xE05E


/* There is probably more */

//#define KB_KC_ ....
